Skip to Content
inclamoDocs

Add a New Agent

POST
/api/v1/accounts/{account_id}/teams/{team_id}/team_members

Add a new Agent to Team

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

team_id*integer

The ID of the team to be updated

Request Body

application/json
  1. body
user_ids*array<integer>

IDs of users to be added to the team

Response Body

Success

application/json
  1. response

Array of all active agents

[index: integer]?
Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/teams/0/team_members' \  -H 'Content-Type: application/json' \  -d '{  "user_ids": [    0  ]}'
Example Response
[  {    "id": 0,    "account_id": 0,    "availability_status": "online",    "auto_offline": true,    "confirmed": true,    "email": "string",    "available_name": "string",    "name": "string",    "role": "agent",    "thumbnail": "string",    "custom_role_id": 0  }]